Gets all locationsget https://tracking.hereapi.com/locations/v4Gets all locations of the project.Query Paramslimitinteger1 to 100Defaults to 100The number of items to return per pagepageTokenstringA token from the previously returned response to retrieve the specified page.geofenceIduuidFilter the results by geofenceIdnamestringFilter locations by name. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.streetstringFilter locations by street address. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.citystringFilter locations by city. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.postalCodestringFilter locations by postal code. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.statestringFilter locations by state. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.countrystringFilter locations by country. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.locationIdstringFilter locations by locationId. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.externalLocationIdstringlength between 1 and 100Filter locations by external location id. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.sortstringarrayA paramater to specify field to sort by and order. The following format can be used: 'name:asc' sort by name in ascending order, 'steet:desc' sort by street in descending order. Allowed fields to sort by: locationId, name, street, city, postalCode, state, country.projectIdstringlength between 1 and 50Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.HeadersX-Request-IduuidID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.Responses 200Response body contains an array of location objects, count indicating the number of returned items, limit indicating the requested maximum amount of records to be returned and pageToken for the next page if available. 400Bad request The request object is in an incorrect format or has values that are invalid or out of range. If available, further error details are provided in the response body. 401Unauthorized The request did not provide correct authentication details 403Forbidden The account does not have the correct privilegesUpdated 2 months ago